Bug 1645973 (CVE-2018-18398)

Summary: CVE-2018-18398 Thunar: Out-of-bounds in handling of IBus-Unikey input method for file searches
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dhiru, kevin, nonamedotc
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:41:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1645974, 1645975    
Bug Blocks:    

Description Sam Fowler 2018-11-05 05:51:37 UTC
Xfce Thunar 1.6.15, when Xfce 4.12 is used, mishandles the IBus-Unikey input method for file searches within File Manager, leading to an out-of-bounds read and SEGV. This could potentially be exploited by an arbitrary local user who creates files in /tmp before the victim uses this input method. 


Reference:

https://0xd0ff9.wordpress.com/2018/10/18/cve-2018-18398/

Comment 1 Sam Fowler 2018-11-05 05:52:05 UTC
Created Thunar tracking bugs for this issue:

Affects: epel-all [bug 1645975]
Affects: fedora-all [bug 1645974]

Comment 2 Kevin Fenzi 2018-11-05 16:10:02 UTC
FYI, only f27,f28 and epel7 are affected. f29/rawhide are using a newer Thunar/Xfce.

Comment 3 Product Security DevOps Team 2019-06-10 10:41:43 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.